System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Web.IHttpModule

This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

Provides a wrapper around Passport Authentication services. This class cannot be inherited. This class is deprecated.

- Constructor

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Creates a new instance of the class. This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Event
  System.Web.Security.PassportAuthenticationEventHandler

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Raised during authentication. This is a Global.asax event that must be named PassportAuthentication_OnAuthenticate. This class is deprecated

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Disposes of the module derived from when called by the . This class is deprecated.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This class has been deprecated and is no longer supported. Microsoft Passport Network has been replaced by Windows Live ID. For more information about how to use Windows Live ID to authenticate users in a Web application, see Windows Live ID SDK.

  Initializes the module derived from when called by the . This class is deprecated

  The module 1.0.5000.0 2.0.0.0